// You can import API functions like this from D3.js.
import { select } from 'd3';

import {getCars} from './getCars.js'

import {generateReport} from './generateReport.js'


select('#message').text("Loading...");
// This line uses D3 to set the text of the message pre

//Promise fn
getCars().then (cars => {
  
		const message = generateReport(cars,2500);
  
  	select('#message').text(message);
  // This line uses D3 to set the text of the message pre

});